JPacman-Framework
=================

About
-----

Pacman-like game used for teaching software testing.
It exposes students to the use of git, maven, JUnit, and mockito.

Parts of the code are well tested, whereas others are left untested intentionally. As a student in software testing, you can extend the test suite, or use the framework to build extensions in a test-driven way. As a teacher, you can use the framework to create your own testing exercises.


Getting Started
---------------

1. Git clone the project
2. If you use Eclipse:
	1. Import
	2. Right Click -> Configure -> Convert to Maven Project
3. To see JPacman in action: run `tdr.project.Launcher`.  From the
command line, run
```java -classpath target/jpacman-framework-<VERSION>.jar tdr.project.Launcher```
4. To run the test suite in maven: `mvn test`
5. To run the test suite in Eclipse: right click -> run as -> JUnit Test.
	 
